@import url("https://fonts.googleapis.com/css2?family=Raleway:wght@200;400&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Roboto:wght@300&display=swap");

body {
    padding: 0;
    position: absolute;
    left: 10%;
    right: 10%;
    font-family: "Raleway", sans-serif;
    background-color: honeydew ;
}

nav {
    margin-top: 10px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

nav .logo {
    position: relative; /* Ajoutez cette ligne */
}
nav .logo a {
    text-decoration: none;
    color: black;
    margin-bottom: 20px;
    position: absolute;
    top: -1px;
}


nav .logo img {
    max-width: 30px;
    position: relative;
    display: inline-block;
    margin-top: -8px;

}
nav .onglets a {
    margin-right: 10px;
    color: #555454;
    text-decoration: none;
}
nav .onglets a p {
    display: inline-block;
    cursor: pointer;
}
nav .onglets a:hover {
    text-decoration: underline;
    color: black;
}

header {
    margin-top: 30px;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    padding: 20px;
    box-shadow: -4px 6px 29px -11px rgba(166, 166, 166, 0.75);
    -webkit-box-shadow: -4px 6px 29px -11px rgba(166, 166, 166, 0.75);
    -moz-box-shadow: -4px 6px 29px -11px rgba(166, 166, 166, 0.75);
}
header h3 {
    margin-top: -10px;
}
header button {
    background-color: black;
    color: white;
    font-size: 20px;
    padding: 20px;
    border: none;
    outline: none;
    cursor: pointer;
}

header button a {
    text-decoration: none;
    color: white;
}
header button:hover {
    background-color: rgb(218, 218, 218);
    color: black;
}

.cartes {
    margin-top: 80px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

/*2 premieres cartes */

.cartes .carte {
    border: 3px solid black;
    max-width: 600px;
    margin-bottom: 40px;
    padding: 20px;
}
.cartes .carte h1 {
    margin-top: 0px;
    text-transform: uppercase;
}
.cartes .carte a {
    text-decoration: none;
    color: black;
    font-weight: bold;
}

.cartes .carte {
    border: 3px solid black;
    max-width: 600px;
    margin-bottom: 40px;
    padding: 20px;
}
.cartes .carte h1 {
    margin-top: 0px;
    text-transform: uppercase;
}
.cartes .carte a {
    text-decoration: none;
    color: black;
    font-weight: bold;
}

.cartes .carte:nth-child(1) {
background-color: honeydew;
}
.cartes .carte:nth-child(2) {
    background-color: #e6ffe6;
}
.cartes .carte:nth-child(3) {
    background-color: #ccffcc;
}
/*.cartes .carte:nth-child(4) {
    background-color:#b3ffb3;
}*/


.carte2 h1,h3{
    text-align: center;
}

.contact .carte2 p{
    text-align: center;
}


/* Formulaire Contact */
/*.formu{*/
/*    margin: 0px;*/
/*    padding: 0px;*/
/*    background-color: #fef1df;*/
/*    position: relative;*/
/*    display: inline-block;*/
/*    top: 50%;*/
/*    left: 50%;*/
/*    !*transform: translate(-50%, 50%);*!*/
/*    font-family: "Roboto", sans-serif;*/
/*    font-weight: bold;*/
/*}*/
form {
    padding: 30px;
    background-color: honeydew;
    border-radius: 10px;
    text-align: center;
}

/*form .gauche {*/
/*    position: relative;*/
/*    left: 30%;*/
/*}*/

form .corps-formulaire{
        position: initial;
        margin-left: 30%;
}

form h1 {
    font-size: 20px;
}
form .separation {
    width: 100%;
    height: 1px;
    background-color: #000000;
}
form .corps-formulaire {
    display: flex;
    flex-wrap: wrap;
    margin-bottom: 30px;
}
form .corps-formulaire .groupe {
    position: relative; /* Pour mettre positionner l’élément dans le flux normal de la page */
    margin-top: 20px;
    display: flex;
    flex-direction: column;
}
form .corps-formulaire .gauche .groupe input {
    margin-top: 5px;
    padding: 10px 5px 10px 30px;
    border: 1px solid #c9c9c9;
    outline-color: #747cdf;
    border-radius: 5px;
}
form .corps-formulaire .gauche .groupe i {
    position: absolute; /* positionné par rapport à son parent le plus proche positionné */
    left: 0;
    top: 25px;
    padding: 9px 8px;
    color: #000000;
}
form .corps-formulaire .droite {
    margin-left: 40px;
}
form .corps-formulaire .droite .groupe {
    height: 100%;
}
form .corps-formulaire .droite .groupe textarea {
    margin-top: 5px;
    padding: 10px;
    background-color: #f1f1f1;
    border: 2px solid #000000;
    outline: none;
    border-radius: 5px;
    resize: none;
    height: 81%;
    width: 150%;
}
form .pied-formulaire button {
    margin-top: 10px;
    background-color: #000000;
    color: white;
    font-size: 15px;
    border: none;
    padding: 10px 20px;
    border-radius: 5px;
    outline: none;
    cursor: pointer;
    transition: transform 0.5s;
}
form .pied-formulaire button:hover {
    transform: scale(1.05);
}

table.tab2{
    margin: 0 auto;
    border-spacing :4px;
}
table.tab2 td{
    background-color:#e6e6e6;
    box-shadow: rgba(50, 50, 93, 0.25) 0px 30px 60px -12px inset, rgba(0, 0, 0, 0.3) 0px 18px 36px -18px inset; /* text-align: center;*/
    text-align: center;
}
table.tab2 th{
    color: white;
    background-color: cadetblue;


}

/*authentification */



footer {
    background-color: black;
    padding: 20px;
    color: white;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}
footer .droite {
    display: flex;
}
footer .droite p {
    margin-top: 0px;
    margin-right: 10px;
    cursor: pointer;
}

.fa-instagram:before{
    color: white;
}

.fa-facebook:before{
    color: white;
}

.fa-twitter:before{
    color: white;
}
/*------------------------------------------------------------------------------*/
#map {
    height: 500px;
    width: 100%;
}

#distance-form {
    text-align: center;
    margin-top: 20px;
}

#distance-label {
    font-weight: bold;
}
/* Style de la popup */
.popup {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.7);
    z-index: 1;
    overflow: auto;
}

.popup-content {
    background-color: #fff;
    margin: 10% auto;
    padding: 20px;
    border-radius: 5px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
    position: relative;
}

.close-btn {
    position: absolute;
    top: 0;
    right: 0;
    padding: 10px;
    cursor: pointer;
}

/* Style du bouton pour afficher la popup */
#show-popup-btn {
    position: relative;
    left: 50%;
    transform: translate(-50%,0%);
    background-color: #007bff;
    color: #fff;
    padding: 10px 20px;
    border: none;
    cursor: pointer;
}

/* Style du bouton de fermeture */
.close-btn:hover,
#show-popup-btn:hover {
    background-color: #0056b3;
}

/* Style de la carte */
#map-container {
    position: relative;
    max-width: 800px;
    margin: 0 auto;
    padding: 20px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    background-color: #f9f9f9;
    z-index: 1; /* Définissez un z-index inférieur pour la carte */
}

/* Style de la modale */
.modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.4);
    overflow: auto;
}

/* Contenu de la modale */
.modal-content {
    background-color: #fff;
    margin: 15% auto;
    padding: 20px;
    border: 1px solid #888;
    width: 80%;
}

/* Bouton de fermeture */
.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

.red-marker {
    background-color: red;
    border: 2px solid white;
    width: 25px;
    height: 40px;
    border-radius: 50%;
    transform: translate(-50%, -100%);
}

.yellow-marker {
    background-color: yellow;
    border: 2px solid white;
    width: 25px;
    height: 40px;
    border-radius: 50%;
    transform: translate(-50%, -100%);
}

#distance-input {
    width: 80px;
    padding: 5px;
    border: 1px solid #ccc;
    border-radius: 5px;
}

/* Style de la carte */
#map-container {
    position: relative; /* Ajoutez cette ligne pour que la position relative soit définie sur le conteneur de la carte */
    max-width: 800px;
    margin: 0 auto;
    padding: 20px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    background-color: #f9f9f9;
}

/* Style de la popup */
.popup {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.7);
    z-index: 2; /* Augmentez la valeur de z-index pour la modale */
    overflow: auto;
}
/*----------------------------------bouttons map------------------------------------------*/
#map-container h1 {
    font-size: 24px;
    margin-bottom: 10px;
    text-align: center;

}
map-container h1 {
    text-align: center;

}

#distance-form, #coordinates-form {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 20px;
}

#coordinates-form{
    justify-content: space-between;

}
#distance-label, label[for="latitude"], label[for="longitude"] {
    font-weight: bold;
    margin-right: 10px;
}

#distance, #latitude, #longitude {
    padding: 5px;
    border: 1px solid #ccc;
    border-radius: 3px;
}

#add-point-button {
    background-color: #007BFF;
    color: #fff;
    border: none;
    border-radius: 3px;
    padding: 5px 10px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

#add-point-button:hover {
    background-color: #0056b3;
}

/*---------------------------------Partie Caroussel--------------------------------------------*/

.basicButton {
    appearance: none;
    background-color: transparent;
    border: 2px solid #1A1A1A;
    border-radius: 15px;
    box-sizing: border-box;
    color: #3B3B3B;
    cursor: pointer;
    font-family: Roobert, -apple-system, BlinkMacSystemFont, "Segoe UI", Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
    font-size: 16px;
    font-weight: 600;
    line-height: normal;
    min-height: 60px;
    min-width: 0;
    outline: none;
    padding: 16px 24px;
    text-align: center;
    text-decoration: none;
    transition: all 300ms cubic-bezier(0.23, 1, 0.32, 1);
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
    will-change: transform;
    margin: 0 auto; /* Pour centrer horizontalement */
    left: 140%;
}

.basicButton:disabled {
    pointer-events: none;
}

.basicButton:hover {
    color: #fff;
    background-color: #1A1A1A;
    box-shadow: rgba(0, 0, 0, 0.25) 0 8px 15px;
    transform: translateY(-2px);
}

.basicButton {
    box-shadow: none;
    transform: translateY(0);
}

.container2 {
    display: flex; 
    justify-content: space-evenly; 
    max-width: 1200px;
    height: 200%;
    flex-wrap: wrap;
    margin-left: 1%;

}

.center-container {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh; /* 100% de la hauteur de la vue */
    margin-left: 50%;
}

.space {
    float:left;
    width: 300px; /* Définit la largeur de chaque carte et ajoute une marge entre elles */
    margin: 2rem;
}

.card {
    background-color: #ccffcc;
    color: #000000;
    border-radius: 8px;
    box-shadow: 8px 6px 8px rgba(0, 0, 0, 0.5);
    margin: 1rem;
    text-align: center;/* Ajoute un espacement intérieur pour le contenu de la carte */
    width: 25%;

}

.card img {
    max-width: 100%;    /* Réduisez la largeur de l'image pour qu'elle ne dépasse pas la largeur de la carte */
    /* Centrez l'image horizontalement */
    display:contents;
    margin: 1 auto;
}

/*-----------------------------------------------------------------------------*/


.container {
    background-color: #fff;
    padding: 20px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
    text-align: center;
    border-radius: 10px;
}

.profile-picture {
    width: 150px;
    height: 150px;
    border-radius: 50%;
    overflow: hidden;
    margin: 0 auto 20px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
}

.profile-picture img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border: 2px solid #fff;
}

.profile-info h1 {
    font-size: 24px;
    margin: 0;
    color: #333;
    text-transform: uppercase;
}

.profile-info p {
    font-size: 16px;
    margin: 0;
    color: #888;
}

/*-----------------------------------------------------------------------------*/

@media screen and (max-width: 640px) {
    header {
        margin-top: 20px;
        text-align: left;
    }
    nav .logo {
        margin-bottom: 10px;
    }

    form .corps-formulaire .droite {
        margin-left: 0px;
    }

}